pycharm安装mysqlclient报错Microsoft Visual C++ 14.0 is required解决方法

分类:开发相关    发布时间:2018-08-23 16:54:44

在Python 3.6环境中,使用pycharm安装mysqlclient模块,在安装的过程中遇到了“error: Microsoft Visual C++ 14.0 is required…” 的报错,但是系统已经安装了这个版本的Microsoft Visual C++程序,尝试安装mysql-python也是报同样的错误,将Microsoft Visual C++卸载重新下载安装也于事无补,最后的解决方法如下:


打开 https://www.lfd.uci.edu/~gohlke/pythonlibs/#mysqlclient下载相对应的版本,python为64位请下载amd64结尾的文件,如果版本号不对,pip install安装时会报xxxx.whl is not a supported wheel on this platform的错误,请根据python的版本以及32位或64位下载对应文件。

例如python为2.7的下载包含cp27的文件,3.6的下载包含cp36的文件。


下载完成后运行cmd命令,进入文件所在目录,执行pip install mysqlclient-1.3.13-cp36-cp36m-win_amd64.whl即可成功安装mysqlclient。

返回pycharm发现已经显示安装了,import MySQLdb导入没有问题。(完)




标签: python

阅读(620)┆ 评论(0) ┆ (0) ┆ 返回博客首页


发表我的评论

欢迎您: | 退出登录


文章评论